# Generated by Django 2.0.6 on 2018-06-19 02:33

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('buses', '0007_auto_20180618_1739'),
    ]

    operations = [
        migrations.CreateModel(
            name='CrewMember',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rut', models.IntegerField(blank=True, default=0, null=True, verbose_name='Rut')),
                ('dv', models.CharField(blank=True, default='', max_length=1, null=True, verbose_name='Dígito Verificador')),
                ('email', models.CharField(default='', max_length=150, verbose_name='Email')),
                ('phone', models.IntegerField(blank=True, default=0, null=True, verbose_name='Teléfono')),
                ('name', models.CharField(max_length=100, verbose_name='Nombre')),
                ('last_name', models.CharField(max_length=100, verbose_name='Apellido')),
                ('img', models.ImageField(default=None, upload_to='profile_pics', verbose_name='Imagen de Perfíl')),
                ('role', models.CharField(choices=[('CO', 'Conductor'), ('AS', 'Asistente')], default='CO', max_length=2, verbose_name='Rol')),
                ('user', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.RemoveField(
            model_name='driver',
            name='user',
        ),
        migrations.AddField(
            model_name='passangerticket',
            name='used',
            field=models.IntegerField(default=0),
        ),
        migrations.AlterField(
            model_name='trip',
            name='bus',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='buses.Bus', verbose_name='Bus'),
        ),
        migrations.AlterField(
            model_name='trip',
            name='bus_driver',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to='buses.CrewMember', verbose_name='Conductor'),
        ),
        migrations.AlterField(
            model_name='trip',
            name='destination',
            field=models.CharField(max_length=300, verbose_name='Hasta'),
        ),
        migrations.AlterField(
            model_name='trip',
            name='source',
            field=models.CharField(max_length=300, verbose_name='Desde'),
        ),
        migrations.AlterField(
            model_name='trip',
            name='start_time',
            field=models.DateTimeField(default=django.utils.timezone.now, verbose_name='Hora de partida'),
        ),
        migrations.DeleteModel(
            name='Driver',
        ),
        migrations.AddField(
            model_name='trip',
            name='asisstant1',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='asistente_1', to='buses.CrewMember', verbose_name='Asistente de viaje 1'),
        ),
        migrations.AddField(
            model_name='trip',
            name='asisstant2',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='asistente_2', to='buses.CrewMember', verbose_name='Asistente de viaje 2'),
        ),
    ]
